petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeI2Function

Evaluates the DAE residual written in implicit form F(t,U,U_t,U_tt) = 0

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeI2Function(TS ts,PetscReal t,Vec U,Vec V,Vec A,Vec F)

Collective on TS and Vec Many br

### Input Parameters

| ts | - the TS context Many br
| t | - current time Many br
| U | - state vector Many br
| V | - time derivative of state vector (U_t) Many br
| A | - second time derivative of state vector (U_tt) Many br

### Output Parameter

F -the residual vector Many br

### Note

Most users should not need to explicitly call this routine, as it Many bris used internally within the nonlinear solvers. Many br

Many br

### Keywords

TS, compute, function, vector

### See Also

TSSetI2Function()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages